Browse the reference
All resources
Goals
4 endpoints
Get the goal attached to a category
GET
/households/{householdId}/categories/{categoryId}/goalread:goals
Parameters
| Name | In | Required |
|---|---|---|
| categoryId | path | Required |
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/categories/{categoryId}/goalResponse200 · Success
Create or replace the goal on a category (one goal per category)
PUT
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parameters
| Name | In | Required |
|---|---|---|
| categoryId | path | Required |
Request body
json
{ "kind": "target_by_date", "targetCents": 600000, "byDate": "2026-12-31"}Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PUT https://api.vokse.ai/households/current/categories/{categoryId}/goal \ -d '{"kind":"target_by_date","targetCents":600000,"byDate":"2026-12-31"}'Response200 · Success
Remove the goal from a category
DELETE
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parameters
| Name | In | Required |
|---|---|---|
| categoryId | path | Required |
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X DELETE https://api.vokse.ai/households/current/categories/{categoryId}/goalResponse204 · No content
List every goal in the household
GET
/households/{householdId}/goalsread:goals
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/goalsResponse200 · Success